<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToAbProductCatTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('ab_product_cat', function(Blueprint $table)
		{
			$table->foreign('parent_id', 'fk_pc_pc')->references('id')->on('ab_product_cat')->onUpdate('NO ACTION')->onDelete('NO ACTION');
			$table->foreign('site_id', 'fk_pc_set')->references('id')->on('ab_setup')->onUpdate('NO ACTION')->onDelete('NO ACTION');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('ab_product_cat', function(Blueprint $table)
		{
			$table->dropForeign('fk_pc_pc');
			$table->dropForeign('fk_pc_set');
		});
	}

}
